import express from 'express';
import corsMiddleware from 'cors';
import { OptionsJson } from 'body-parser';
import { ApolloServerBase } from 'apollo-server-core';
export { GraphQLOptions, GraphQLExtension } from 'apollo-server-core';
import { GraphQLOptions } from 'apollo-server-core';
export declare class ApolloServer extends ApolloServerBase {
    createGraphQLServerOptions(req: express.Request, res: express.Response): Promise<GraphQLOptions>;
}
export interface ServerRegistration {
    app: express.Application;
    server: ApolloServer;
    path?: string;
    cors?: corsMiddleware.CorsOptions;
    bodyParserConfig?: OptionsJson;
    onHealthCheck?: (req: express.Request) => Promise<any>;
    disableHealthCheck?: boolean;
    uploads?: boolean | Record<string, any>;
}
export declare const registerServer: ({ app, server, path, cors, bodyParserConfig, disableHealthCheck, onHealthCheck, uploads, }: ServerRegistration) => Promise<void>;
